Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe
Class PluginDependencyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  net.sourceforge.jsxe.PluginDependencyException

All Implemented Interfaces:
  Serializable

public class PluginDependencyException
extends RuntimeException

Signals that a dependency required by a plugin has not been met.

Version:
  $Id: PluginDependencyException.java 960 2006-06-15 17:30:21Z ian_lewis $
Author:
  Ian Lewis
See Also:
  `JARClassLoader`, Serialized Form

Constructor Summary
`PluginDependencyException(String pluginName, String message)` Creates a new PluginDependencyException.
`PluginDependencyException(String pluginName, String requiredName, String versionRequired)` Creates a new PluginDependencyException for a component or plugin that was not found.
`PluginDependencyException(String pluginName, String requiredName, String versionRequired, String versionFound)` Creates a new PluginDependencyException for a plugin that was found but an inadequate version was found.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginDependencyException

    public PluginDependencyException(String pluginName,
                                     String requiredName,
                                     String versionRequired,
                                     String versionFound)

  Creates a new PluginDependencyException for a plugin that was found but an inadequate version was found.

Parameters:
  `pluginName` - the name of the plugin
  `requiredName` - the name of the required component or plugin
  `versionRequired` - the required version of the required component or plugin
  `versionFound` - the version that was found.

### PluginDependencyException

    public PluginDependencyException(String pluginName,
                                     String requiredName,
                                     String versionRequired)

  Creates a new PluginDependencyException for a component or plugin that was not found.

Parameters:
  `pluginName` - the name of the plugin
  `requiredName` - the name of the required component or plugin
  `versionRequired` - the required version of the required component or plugin

### PluginDependencyException

    public PluginDependencyException(String pluginName,
                                     String message)

  Creates a new PluginDependencyException.

Parameters:
  `pluginName` - the name of the plugin that requires.
  `message` - the message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD